% Exemple de documentation avec latex2man
%
% Auteur  : Grégory DAVID
%%
\documentclass[french]{article}
\usepackage[utf8]{inputenc}
\usepackage[french]{babel}
\usepackage{latex2man}

\begin{document}
\begin{Name}{1}{generatorPlaylist}{Enzo Juret \& Dylan Michel}{Générateur de playlist}{Azerty Generator of Playlist \rule{\linewidth}{.5pt}}
	
    \Prog{generatorPlaylist} is a tool to generate
    playlist files for media players.  Her
    documentation is provided at least in manual page accessible to
    using the command \Cmd{man}{1}.
\end{Name}

\bigbreak
\section{Synopsis}
\Prog{generatorPlaylist}
\OptArg{-d}{totalDuration}
\OptArg{--genre}{ HipHop} \Arg{50}
\oOpt{-h}
\oOpt{-V}
\Arg{outputM3U}

\Prog{generatorPlaylist}
\oOpt{-h}
\oOptArg{--log}{\{DEBUG,INFO,\emph{WARNING},ERROR,CRITICAL\}}

\bigbreak
\section{Description}
\Prog{generatorPlaylist} is used to generate a playlist file

\File{outputM3U} in M3U format for use on multimedia software.

The description of the different options can be found in the part 3.

\bigbreak
\section{Options}
% [-h] [--log {DEBUG,INFO,WARNING,ERROR,CRITICAL}] --time TIME
%                [--output OUTPUT OUTPUT] [-g GENRE QUANTITY]
%                [-s SUB_GENRE QUANTITY] [-b BAND_NAME QUANTITY]
%                [-a ALBUM_NAME QUANTITY] [-t TRACK_TITLE QUANTITY]
%                [-G GENRE QUANTITY] [-S SUB_GENRE QUANTITY]
%                [-B BAND_NAME QUANTITY] [-A ALBUM_NAME QUANTITY]
%                [-T TRACK_TITLE QUANTITY]

\begin{Description}\setlength{\itemsep}{0cm}
    \item[\OptArg{-d	}{{-}-duration	}{	"TotalDuration"}] only one time per call with default define, 
    
    Default :"60" (minutes), its to decide the time of the playlist.
    \bigbreak
	\item[\OptArg{-n	}{{-}-name	}{	"Name"}] only one time per call with default define, 
	
	Default :"MyPlaylist.format", used for the namefile.
	\bigbreak	
	\item[\OptArg{-D	}{{-}-description	}{"Description"}] only one time per call with default define, 
	
	Default :"M3U", you can choose M3U, or XSPF for the playlist output type.
	\bigbreak    
    \item[\OptArg{-f	}{{-}-format	}{	"Format"}] only one time per call with default define, 
    
    Default :"Ma playlist de duration minutes", it change the description of the playlist.
	\bigbreak	
	\item[\OptArg{-g	}{{-}-genre	}{	"Genre"}] Used for choose the gender of music (HipHop, Rock and Roll..)
    
    Exemple : -g=(HipHop 50) That mean we want 50\% of the duration playlist as HipHop    
	\bigbreak	
	\item[\OptArg{-a	}{{-}-artist	}{	"Artist"}] Used for choose the artist of the music (Eminem, BobMarley ..)
    
    Exemple : -a=(Eminem 30) //That mean we want 30\% of the duration playlist from Eninem.    
	\bigbreak    
    \item[\OptArg{-A	}{{-}-album	}{	"Album"}] Used for choose specifique album
    
    Exemple : -A=(Revival 80) //That mean we want 80\% of the album "Revival" as duration.
                If the album is to short, so he will complete the duration with a reselecting in the specifique album.    
	\bigbreak    
    \item[\OptArg{-t	}{{-}-title	}{	"Title"}] Used to search in all song with specifique word in the title
    
    Exemple : -t(Sun 50) //That mean we want 50\% of the duration where in title of the datebase "*Sun*" apear.
                If the time of the duration is to short, so he will be complete the %duration with same research to reach the %duration.
\end{Description}

\bigbreak
\section{Files}
\begin{Description}\setlength{\itemsep}{0cm}
    \item[\File{/usr/local/bin/generatorPlaylist}] the principal program.
    \item[\File{/etc/generatorPlaylist.cfg}] the program configuration file.
\end{Description}
 
\bigbreak
\section{Traduction}
The application has been written in English. We are looking for translators in the languages: English,
German, Italian, Spanish, Russian, Chinese, Japanese.

\bigbreak
\section{Prerequisites}
\begin{description}
    \item[scons] Si vous souhaitez installer proprement l'application,
    il est intéressant de disposer du programme \Prog{scons}.
\end{description}

\bigbreak
\section{Version}

Version : \Version\ du \Date.

\bigbreak
\section{Licensing and Copyright}
\begin{description}
    \item[Copyright] \copyright\ 2018, Azertee, 3 rue Beau
    Soleil, 72700 Allonnes FRANCE
    \item[Licence] Indicate the succinct terms of the license
of use.

    \item[Misc] If you find this software useful, please send me a
    postcard.
\end{description}

\bigbreak
\section{Author}

\noindent
Enzo Juret and Dylan Michel                      \\
3 rue Beau Soleil                       \\
72700 Allonnes                       \\
Email: \Email{enzo.juret@bts-malraux.net and dylan.michel@bst-malraux.net}  \\
WWW: \URL{http://www.bts-malraux72.net}.
\LatexManEnd

\end{document}
